Bug 767740 - Add support for s4u2proxy
Summary: Add support for s4u2proxy
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mod_auth_kerb
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 767741
TreeView+ depends on / blocked
 
Reported: 2011-12-14 19:05 UTC by Rob Crittenden
Modified: 2012-02-14 09:10 UTC (History)
1 user (show)

Fixed In Version: mod_auth_kerb-5.4-8.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 767741 (view as bug list)
Environment:
Last Closed: 2012-02-14 08:55:48 UTC


Attachments (Terms of Use)

Description Rob Crittenden 2011-12-14 19:05:48 UTC
Description of problem:

Two patches have been submitted upstream to support Constrained Delegation aka s4u2proxy (http://k5wiki.kerberos.org/wiki/Projects/Services4User

The patch thread is http://sourceforge.net/mailarchive/forum.php?thread_name=4EE665D1.3000308%40redhat.com&forum_name=modauthkerb-help

This is needed so the freeIPA project can stop forwarding TGTs and have the web service handle delegation.

Version-Release number of selected component (if applicable):

mod_auth_kerb-5.4-7.fc15

Comment 1 Fedora Update System 2012-02-03 21:13:15 UTC
mod_auth_kerb-5.4-8.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mod_auth_kerb-5.4-8.fc16

Comment 2 Fedora Update System 2012-02-03 21:13:28 UTC
mod_auth_kerb-5.4-8.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mod_auth_kerb-5.4-8.fc15

Comment 3 Fedora Update System 2012-02-04 05:30:26 UTC
Package mod_auth_kerb-5.4-8.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mod_auth_kerb-5.4-8.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-1280/mod_auth_kerb-5.4-8.fc16
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2012-02-14 08:55:48 UTC
mod_auth_kerb-5.4-8.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2012-02-14 09:10:12 UTC
mod_auth_kerb-5.4-8.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.